{
  "name": "@theplacelab/stripe",
  "version": "1.3.2",
  "description": "Stripe Service",
  "files": [
    "dist"
  ],
  "main": "dist/main.js",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/theplacelab/packages/stripe.git"
  },
  "author": "Andrew Sempere <a@feralresearch.org>",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/theplacelab/packages/stripe/-/issues"
  },
  "homepage": "https://gitlab.com/theplacelab/packages/stripe#readme",
  "publishConfig": {
    "access": "public"
  },
  "scripts": {
    "semantic-release": "npm run build; semantic-release",
    "build": "webpack --mode=production",
    "clean": "rm -rf ./dist",
    "watch": "npm run clean && WATCH=true YALC=true webpack --watch --progress --mode=development",
    "watch:analyze": "webpack --watch --mode=development --addon=analyze"
  },
  "devDependencies": {
    "@babel/cli": "^7.7.7",
    "@babel/core": "^7.7.7",
    "@babel/plugin-proposal-class-properties": "^7.7.4",
    "@babel/plugin-transform-runtime": "^7.15.0",
    "@babel/preset-env": "^7.7.7",
    "@babel/preset-react": "^7.7.4",
    "@semantic-release/git": "^9.0.0",
    "@semantic-release/gitlab": "^6.2.2",
    "@stripe/react-stripe-js": "^1.6.0",
    "@stripe/stripe-js": "^1.22.0",
    "babel-loader": "^8.0.6",
    "css-loader": "^3.4.1",
    "prop-types": "^15.7.2",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-redux": "^7.2.4",
    "react-router-dom": "^5.2.0",
    "semantic-release": "^17.4.7",
    "style-loader": "^1.1.2",
    "url-loader": "^3.0.0",
    "webpack": "^4.41.5",
    "webpack-bundle-analyzer": "^4.4.2",
    "webpack-cli": "^3.3.10",
    "webpack-node-externals": "^1.7.2",
    "webpack-shell-plugin": "^0.5.0"
  },
  "peerDependencies": {
    "@fortawesome/fontawesome-svg-core": "^1.2.35",
    "@fortawesome/free-solid-svg-icons": "^5.15.3",
    "@fortawesome/react-fontawesome": "^0.1.14",
    "@stripe/react-stripe-js": "^1.6.0",
    "@stripe/stripe-js": "^1.22.0",
    "prop-types": "^15.7.2",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-redux": "^7.2.4",
    "react-router-dom": "^5.2.0",
    "redux-saga": "^1.1.3"
  },
  "dependencies": {
    "core-js": "^3.19.3",
    "react-spinners-css": "^2.0.1"
  }
}
